Package org.eclipse.birt.chart.event

# Class InteractionEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.InteractionEvent

All Implemented Interfaces:
  `Serializable`

public final class InteractionEvent extends ChartEvent
An event type for Interactivity.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InteractionEvent(Object source)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addTrigger(Trigger t)`
Adds trigger to current event.
`Action`
`getAction(TriggerCondition tc)`
`Cursor`
`getCursor()`
Returns mouse cursor.
`PrimitiveRenderEvent`
`getHotSpot()`
`StructureSource`
`getStructureSource()`
`Trigger[]`
`getTriggers()`
`short`
`getZOrder()`
Returns z-order
`void`
`reset()`
Resets the inner state of current event.
`void`
`reuse(StructureSource oNewSource)`
Reuses current event by given new source object.
`void`
`setCursor(Cursor cursor)`
Set mouse cursor.
`void`
`setHotSpot(PrimitiveRenderEvent pre)`
Sets the hotspot area defined by given rendering event for current event.
`void`
`setZOrder(short zOrder)`
Sets z-Order

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InteractionEvent

public InteractionEvent(Object source)
The constructor.

## Method Details

### getStructureSource

public StructureSource getStructureSource()

Returns:
  Returns the structur source of current event.

### setHotSpot

public void setHotSpot(PrimitiveRenderEvent pre)
Sets the hotspot area defined by given rendering event for current event.

### getHotSpot

public PrimitiveRenderEvent getHotSpot()

Returns:
  Returns the rendering event defining current hotspot area.

### addTrigger

public void addTrigger(Trigger t)
Adds trigger to current event.

### getAction

public Action getAction(TriggerCondition tc)

Returns:
  Returns the action for specific trigger condition.

### getTriggers

public Trigger[] getTriggers()

Returns:
  Returns all triggers asscociated with current event.

### reset

public void reset()
Description copied from class: `ChartEvent`
Resets the inner state of current event. This must be implemented if the object is cached and reused.

Specified by:
  `reset` in class `ChartEvent`

### reuse

public void reuse(StructureSource oNewSource)
Reuses current event by given new source object.

### getCursor

public Cursor getCursor()
Returns mouse cursor.

Returns:
  cursor

### setCursor

public void setCursor(Cursor cursor)
Set mouse cursor.

Parameters:
  `cursor` -

### getZOrder

public short getZOrder()
Returns z-order

Returns:
  zOrder

### setZOrder

public void setZOrder(short zOrder)
Sets z-Order

Parameters:
  `zOrder` -